import { Badge } from "antd";
import moment from "moment";
import React from "react";

// 排行默认时间
export const getPresetsRanking = () => {
    let date = {
        '今天排行': [moment(), moment()],
        '昨天排行': [moment().subtract(1, 'd'), moment().subtract(1, 'd')],
        '7日排行': [moment().subtract(7, 'd'), moment()],
        '30日排行': [moment().subtract(30, 'd'), moment()]
    }
    date['当月排行'] = [moment().startOf('month'), moment()]
    return date
}

// 获取默认设置时间
export const getPresets = () => {
    let date = {
        '今天': [moment(), moment()],
        '昨天': [moment().subtract(1, 'd'), moment().subtract(1, 'd')],
        '7日': [moment().subtract(7, 'd'), moment()],
        '30日': [moment().subtract(30, 'd'), moment()]
    }
    date['当月'] = [moment().startOf('month'), moment()]
    return date
}

// 推广媒体
export enum TYPE {
    'MP' = '腾讯MP',
    'GDT' = '腾讯GDT',
    'BYTE' = '头条'
}

/**
 * 游戏类型
 */
export const gameClassifyEnum = {
    '1': 'APP',
    '2': '抖音小游戏',
    '3': 'Android App',
    '4': 'Ios App',
    '5': 'H5游戏',
    '6': '微信小游戏'
}

/**
 * 支付状态
 */
export const PayStatus = {
    '0': <Badge status="default" text="预下单" />,
    '1': <Badge status="processing" text="待支付" />,
    '2': <Badge status="success" text="支付成功" />,
    '3': <Badge status="error" text="已取消" />,
}

/**
 * 支付方式
 */
export const PayType = {
    '1': '支付宝',
    '2': '微信',
    '3': '米大师',
    'alipay': '支付宝',
    'wxpay': '微信支付',
    'mpay': '米大师'
}