import { gameClassifyEnum } from "@/components/QueryForm/const"
import WidthEllipsis from "@/components/widthEllipsis"
import { Statistic } from "antd"
import React from "react"


function columnsNature12(): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {


    return [
        {
            label: '游戏信息',
            data: [
                {
                    title: '推广游戏名称', dataIndex: 'gameName', label: '游戏信息', align: 'center', width: 70, default: 1,
                    render: (a: string, b: any) => (<WidthEllipsis isCopy={a !== '总计'} value={a} />)
                },
                {
                    title: '推广游戏应用类型', dataIndex: 'gameClassify', label: '游戏信息', align: 'center', width: 85,
                    render: (a: string) => <WidthEllipsis value={gameClassifyEnum[a]} />
                }
            ]
        },
        {
            label: '消耗',
            data: [
                {
                    title: '消耗', dataIndex: 'cost', label: '消耗', align: 'center', width: 90, sorter: true, default: 2,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '买量用户数据',
            data: [
                {
                    title: '买量注册人数', dataIndex: 'buyRegNum', label: '买量用户数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量注册成本', dataIndex: 'buyRegCost', label: '买量用户数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '自然量用户数据',
            data: [
                {
                    title: '自然量注册人数', dataIndex: 'natureRegNum', label: '自然量用户数据', align: 'center', width: 70, default: 3, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量注册成本', dataIndex: 'natureRegCost', label: '自然量用户数据', align: 'center', width: 70, default: 4, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '总用户数据',
            data: [
                { title: '总注册人数', dataIndex: 'regNum', label: '总用户数据', align: 'center', width: 70, sorter: true },
                {
                    title: '总注册成本', dataIndex: 'regCost', label: '总用户数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '买量付费数据',
            data: [
                {
                    title: '买量新用户充值次数', dataIndex: 'buyNewUserAmountCount', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户充值人数', dataIndex: 'buyNewUserAmountNum', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户充值金额', dataIndex: 'buyNewUserAmount', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户充值成本', dataIndex: 'buyNewUserRechargeCost', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户回收率', dataIndex: 'buyNewUserRechargeRate', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量首日新用户充值次数', dataIndex: 'buyFirstNewUserAmountCount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日新用户充值人数', dataIndex: 'buyFirstNewUserAmountNum', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日新用户充值金额', dataIndex: 'buyFirstNewUserAmount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量老用户充值次数', dataIndex: 'buyOldUserCount', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量老用户充值人数', dataIndex: 'buyOldUserNum', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量老用户充值金额', dataIndex: 'buyOldUserAmount', label: '买量付费数据', align: 'center', width: 80,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量账面充值次数', dataIndex: 'buyAmountCount', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量账面充值人数', dataIndex: 'buyAmountNum', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量账面充值金额', dataIndex: 'buyAmount', label: '买量付费数据', align: 'center', width: 80,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户累计充值次数', dataIndex: 'buyNewUserTotalAmountCount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户累计充值人数', dataIndex: 'buyNewUserTotalAmountNum', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户累计充值金额', dataIndex: 'buyNewUserTotalAmount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日充值成本', dataIndex: 'buyFirstNewUserRechargeCost', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量总充值成本', dataIndex: 'buyTotalRechargeCost', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日ROI', dataIndex: 'buyFirstRoi', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量总ROI', dataIndex: 'buyTotalRoi', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量首日付费率', dataIndex: 'buyFirstAmountRate', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量新用户付费率', dataIndex: 'buyNewUserRoi', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量至今付费率', tips: '买量至今付费率=新用户累计充值人数/注册人数', dataIndex: 'buyTodayAmountRate', label: '买量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量新用户付费比', dataIndex: 'buyNewUserRate', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量首日客单价', dataIndex: 'buyFirstAvgAmount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户客单价', dataIndex: 'buyNewUserAvgAmount', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量至今客单价', tips: '买量至今客单价=新用户累计充值金额/新用户累计充值次数', dataIndex: 'buyTodayAvgAmount', label: '买量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量账面客单价', dataIndex: 'buyAvgAmount', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                // {
                //     title: '买量复充率', dataIndex: 'buyUserAgainRate', label: '买量付费数据', align: 'center', width: 70,
                //     render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                // },

                {
                    title: '买量单日付费100+人数', dataIndex: 'buyHundredUserNum', label: '买量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量单日付费100+成本', dataIndex: 'buyHundredUserNumCost', label: '买量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日创角人数', dataIndex: 'buyFirstRoleNum', label: '买量付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量创角人数', dataIndex: 'buyRoleNum', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户累计创角人数', dataIndex: 'buyNewUserTotalRoleNum', label: '买量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日创角人数成本', dataIndex: 'buyFirstRoleNumCost', label: '买量付费数据', align: 'center', width: 85, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '买量创角人数成本', dataIndex: 'buyRoleNumCost', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '买量新用户累计创角人数成本', dataIndex: 'buyNewUserTotalRoleNumCost', label: '买量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '买量首日创角率', dataIndex: 'buyFirstRoleNumRate', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量创角率', dataIndex: 'buyRoleNumRate', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量新用户累计创角率', dataIndex: 'buyNewUserTotalRoleNumRate', label: '买量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },

                {
                    title: '买量新用户复充率', tips: '注册时间范围内买量用户，在充值时间内重复充值（即用户累计充值次数n≥2)。计算公式：复冲率=新用户复充人数/新用户累计充值人数', dataIndex: 'buyNewUserAgainRate', label: '买量付费数据', align: 'center', width: 80,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量当天复充率', dataIndex: 'buyTodayAgainRate', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量新增注册ARPPU', dataIndex: 'buyRegUserArpu', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日付费ARPPU', dataIndex: 'buyFirstAmountArpu', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量新用户付费ARPPU', dataIndex: 'buyNewUserAmountArpu', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量至今付费ARPPU', dataIndex: 'buyTodayAmountArpu', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量账面ARPPU', dataIndex: 'buyAmountArpu', label: '买量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '自然量付费数据',
            data: [
                {
                    title: '自然量新用户充值次数', dataIndex: 'natureNewUserAmountCount', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户充值人数', dataIndex: 'natureNewUserAmountNum', label: '自然量付费数据', align: 'center', default: 5, width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户充值金额', dataIndex: 'natureNewUserAmount', label: '自然量付费数据', align: 'center', default: 6, width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户充值成本', dataIndex: 'natureNewUserRechargeCost', label: '自然量付费数据', align: 'center', width: 70, default: 14,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户回收率', dataIndex: 'natureNewUserRechargeRate', label: '自然量付费数据', align: 'center', width: 70, default: 11,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量首日新用户充值次数', dataIndex: 'natureFirstNewUserAmountCount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日新用户充值人数', dataIndex: 'natureFirstNewUserAmountNum', label: '自然量付费数据', align: 'center', width: 70, default: 7, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日新用户充值金额', dataIndex: 'natureFirstNewUserAmount', label: '自然量付费数据', align: 'center', width: 70, default: 8, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量老用户充值次数', dataIndex: 'natureOldUserCount', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量老用户充值人数', dataIndex: 'natureOldUserNum', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量老用户充值金额', dataIndex: 'natureOldUserAmount', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量账面充值次数', dataIndex: 'natureAmountCount', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量账面充值人数', dataIndex: 'natureAmountNum', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量账面充值金额', dataIndex: 'natureAmount', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户累计充值次数', dataIndex: 'natureNewUserTotalAmountCount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户累计充值人数', dataIndex: 'natureNewUserTotalAmountNum', label: '自然量付费数据', align: 'center', width: 70, default: 9, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户累计充值金额', dataIndex: 'natureNewUserTotalAmount', label: '自然量付费数据', align: 'center', width: 70, default: 10, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日充值成本', dataIndex: 'natureFirstNewUserRechargeCost', label: '自然量付费数据', align: 'center', width: 70, sorter: true, default: 15,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量总充值成本', dataIndex: 'natureTotalRechargeCost', label: '自然量付费数据', align: 'center', width: 70, sorter: true, default: 16,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日ROI', dataIndex: 'natureFirstRoi', label: '自然量付费数据', align: 'center', width: 70, sorter: true, default: 12,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量总ROI', dataIndex: 'natureTotalRoi', label: '自然量付费数据', align: 'center', width: 70, sorter: true, default: 13,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量首日付费率', dataIndex: 'natureFirstAmountRate', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量新用户付费率', dataIndex: 'natureNewUserRoi', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量至今付费率', tips: '自然量至今付费率=新用户累计充值人数/注册人数', dataIndex: 'natureTodayAmountRate', label: '自然量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量新用户付费比', dataIndex: 'natureNewUserRate', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量首日客单价', dataIndex: 'natureFirstAvgAmount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户客单价', dataIndex: 'natureNewUserAvgAmount', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量至今客单价', tips: '自然量至今客单价=新用户累计充值金额/新用户累计充值次数', dataIndex: 'natureTodayAvgAmount', label: '自然量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量账面客单价', dataIndex: 'natureAvgAmount', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                // {
                //     title: '自然量复充率', dataIndex: 'natureUserAgainRate', label: '自然量付费数据', align: 'center', width: 70,
                //     render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                // },


                {
                    title: '自然量单日付费100+人数', dataIndex: 'natureHundredUserNum', label: '自然量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量单日付费100+成本', dataIndex: 'natureHundredUserNumCost', label: '自然量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '自然量首日创角人数', dataIndex: 'natureFirstRoleNum', label: '自然量付费数据', align: 'center', width: 80, sorter: true,
                },
                {
                    title: '自然量创角人数', dataIndex: 'natureRoleNum', label: '自然量付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户累计创角人数', dataIndex: 'natureNewUserTotalRoleNum', label: '自然量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日创角人数成本', dataIndex: 'natureFirstRoleNumCost', label: '自然量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '自然量创角人数成本', dataIndex: 'natureRoleNumCost', label: '自然量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '自然量新用户累计创角人数成本', dataIndex: 'natureNewUserTotalRoleNumCost', label: '自然量付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日创角率', dataIndex: 'natureFirstRoleNumRate', label: '自然量付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量创角率', dataIndex: 'natureRoleNumRate', label: '自然量付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量新用户累计创角率', dataIndex: 'natureNewUserTotalRoleNumRate', label: '自然量付费数据', align: 'center', width: 85, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },


                {
                    title: '自然量新用户复充率', tips: '注册时间范围内自然量用户，在充值时间内重复充值（即用户累计充值次数n≥2)。计算公式：复冲率=新用户复充人数/新用户累计充值人数', dataIndex: 'natureNewUserAgainRate', label: '自然量付费数据', align: 'center', width: 80,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量当天复充率', dataIndex: 'natureTodayAgainRate', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量新增注册ARPPU', dataIndex: 'natureRegUserArpu', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日付费ARPPU', dataIndex: 'natureFirstAmountArpu', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量新用户付费ARPPU', dataIndex: 'natureNewUserAmountArpu', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量至今付费ARPPU', dataIndex: 'natureTodayAmountArpu', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量账面ARPPU', dataIndex: 'natureAmountArpu', label: '自然量付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '总付费数据',
            data: [
                {
                    title: '总新用户充值次数', dataIndex: 'newUserAmountCount', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户充值人数', dataIndex: 'newUserAmountNum', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户充值金额', dataIndex: 'newUserAmount', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户充值成本', dataIndex: 'newUserRechargeCost', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户回收率', dataIndex: 'newUserRechargeRate', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总首日新用户充值次数', dataIndex: 'firstNewUserAmountCount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日新用户充值人数', dataIndex: 'firstNewUserAmountNum', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日新用户充值金额', dataIndex: 'firstNewUserAmount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总老用户充值次数', dataIndex: 'oldUserCount', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总老用户充值人数', dataIndex: 'oldUserNum', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总老用户充值金额', dataIndex: 'oldUserAmount', label: '总付费数据', align: 'center', width: 80,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总账面充值次数', dataIndex: 'amountCount', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总账面充值人数', dataIndex: 'amountNum', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总账面充值金额', dataIndex: 'amount', label: '总付费数据', align: 'center', width: 85,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户累计充值次数', dataIndex: 'newUserTotalAmountCount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户累计充值人数', dataIndex: 'newUserTotalAmountNum', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户累计充值金额', dataIndex: 'newUserTotalAmount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日充值成本', dataIndex: 'firstNewUserRechargeCost', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总总充值成本', dataIndex: 'totalRechargeCost', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日ROI', dataIndex: 'firstRoi', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总总ROI', dataIndex: 'totalRoi', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总首日付费率', dataIndex: 'firstAmountRate', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总新用户付费率', dataIndex: 'newUserRoi', label: '总付费数据', align: 'center', width: 70,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总至今付费率', tips: '至今付费率（总）=新用户累计充值人数/注册人数', dataIndex: 'todayAmountRate', label: '总付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总新用户付费比', dataIndex: 'newUserRate', label: '总付费数据', align: 'center', width: 70,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总首日客单价', dataIndex: 'firstAvgAmount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户客单价', dataIndex: 'newUserAvgAmount', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总至今客单价', tips: '至今客单价（总）=新用户累计充值金额/新用户累计充值次数', dataIndex: 'todayAvgAmount', label: '总付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总账面客单价', dataIndex: 'avgAmount', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                // {
                //     title: '总复充率', dataIndex: 'userAgainRate', label: '总付费数据', align: 'center', width: 70, sorter: true,
                //     render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                // },

                {
                    title: '总单日付费100+人数', dataIndex: 'hundredUserNum', label: '总付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总单日付费100+成本', dataIndex: 'hundredUserNumCost', label: '总付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '总首日创角人数', dataIndex: 'firstRoleNum', label: '总付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总创角人数', dataIndex: 'roleNum', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户累计创角人数', dataIndex: 'newUserTotalRoleNum', label: '总付费数据', align: 'center', width: 85, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日创角人数成本', dataIndex: 'firstRoleNumCost', label: '总付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '总创角人数成本', dataIndex: 'roleNumCost', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '总新用户累计创角人数成本', dataIndex: 'newUserTotalRoleNumCost', label: '总付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '总首日创角率', dataIndex: 'firstRoleNumRate', label: '总付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总创角率', dataIndex: 'roleNumRate', label: '总付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总新用户累计创角率', dataIndex: 'newUserTotalRoleNumRate', label: '总付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },

                {
                    title: '总新用户复充率', tips: '注册时间范围内用户，在充值时间内重复充值（即用户累计充值次数n≥2)。计算公式：复冲率=新用户复充人数/新用户累计充值人数', dataIndex: 'newUserAgainRate', label: '总付费数据', align: 'center', width: 80,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                // {
                //     title: '总当天复充率', dataIndex: 'todayAgainRate', label: '总付费数据', align: 'center', width: 70, sorter: true,
                //     render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                // },
                {
                    title: '总新增注册ARPPU', dataIndex: 'regUserArpu', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日付费ARPPU', dataIndex: 'firstAmountArpu', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总新用户付费ARPPU', dataIndex: 'newUserAmountArpu', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总至今付费ARPPU', dataIndex: 'todayAmountArpu', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总账面ARPPU', dataIndex: 'amountArpu', label: '总付费数据', align: 'center', width: 70,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        }
    ]
}


export default columnsNature12